{
    "header": {
        "version": 1,
        "type": "record"
    },
    "body": {
        "record1": {
            "<1>": "declare function sched_rpt1, send_event, msg\r\ndeclare subroutine end_dialog\r\n$insert msg_equates\r\n\r\nCusts = .customer_info->array<1>\r\nswap @vm:@vm with '' in custs\r\nif Custs[-1,1] = @vm then custs[-1,1] = ''\r\nShipDateFrom = .ship_date_from->text\r\nShipDateThru = .ship_date_thru->text\r\n\r\nPDFPath = .PDF_PATH->TEXT\r\n\r\nif ShipDateFrom or ShipDateThru then\r\n    if Custs then\r\n\t\tDirToPrint   = .send_to_printer->text\r\n\t\tRetVal = Custs\r\n\t\tRetVal<2>\t= ShipDateFrom\r\n\t\tRetVal<3>\t= ShipDateThru\r\n\t\tRetVal<4>\t= DirToPrint\r\n\t\tRetVal<5>\t= PDFPath\r\n\t\t\r\n\t\tend_dialog( @window, RetVal )\r\n\tend else\r\n        MsgInfo = ''\r\n        MsgInfo<mtext$> = 'You must choose at least one customer...'\r\n        MsgInfo<micon$> = '!'\r\n        Void = msg( '', MsgInfo )\r\n    end\r\nend else\r\n    MsgInfo = ''\r\n    MsgInfo<mtext$> = 'You must have a shipment from date or a shipment thru date.'\r\n    MsgInfo<micon$> = '!'\r\n    Void = msg( '', MsgInfo )\r\nend\r\nreturn 0\r\n"
        }
    }
}